org.apache.http.conn.ssl

## Class NoopHostnameVerifier

- java.lang.Object
- - org.apache.http.conn.ssl.NoopHostnameVerifier

All Implemented Interfaces:
  HostnameVerifier

    @Contract(threading=IMMUTABLE)
    public class NoopHostnameVerifier
    extends Object
    implements HostnameVerifier

The NO_OP HostnameVerifier essentially turns hostname verification off. This implementation is a no-op, and never throws the SSLException.

Since:
  4.4

### Field Summary

Fields
`static NoopHostnameVerifier` `INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`NoopHostnameVerifier()`

### Method Summary

Methods
`String` `toString()`
`boolean` `verify(String s, SSLSession sslSession)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final NoopHostnameVerifier INSTANCE

### Constructor Detail

#### NoopHostnameVerifier

    public NoopHostnameVerifier()

### Method Detail

#### verify

    public boolean verify(String s,
                 SSLSession sslSession)

Specified by:
  `verify` in interface `HostnameVerifier`

#### toString

    public final String toString()

Overrides:
  `toString` in class `Object`